#ifndef CONFIG_IP_ADDRESS_DIALOG_H
#define CONFIG_IP_ADDRESS_DIALOG_H

#include <QCoreApplication>
#include <QDialog>
#include <QString>
#include <QGSettings>
namespace Ui {
class ConfigIPAddressDialog;
}

class ConfigIPAddressDialog : public QDialog
{
    Q_OBJECT

public:
    explicit ConfigIPAddressDialog(QWidget *parent = nullptr);
    ~ConfigIPAddressDialog();
    bool getConfigStatus();
private slots:
    void onApplyBtnClicked();
    void onCancelBtnClicked();
private:
    QString m_oldIpAddress = QString();
    bool m_cupsDebug = false;

    void loadSettings();
    void saveSettings();
    void onSettingsChanged();
    Ui::ConfigIPAddressDialog *m_ui;
    bool m_isConfigStatusOK;
};

#endif // CONFIG_IP_ADDRESS_DIALOG_H
